function jumelles_ressaut(jtir)
///////////////////////////////
//  jumelles_ressaut
// 
// Realisation d'une experience jumelles
// 
// jtir : numero pour tirage aleatoire
// jalea : passage de jtir par variable globale
// 
// init_ressaut.sci : initialisation de l'experience avec jalea
// blue.sci : methode BLUE
// visual_ressaut.sci : visualisation des resultats
//
////////////////////////////////////////////

// variable globale pour function init
global jalea   // numero du tirage aletoire en cours
global cumul   // cumul d'erreur pour calcul de score
global visu   //  pour desactiver les traces des figures   

// passage de jtir par variable globale 
jalea=jtir;

// Initialisation des parametres de l'assimilation de donnees
[xt,xb,yo,B,R,d,G]=init_ressaut();

// Methode BLUE 
[xa,A]=blue(xb,B,R,d,G);

// covariance d'erreur d'analyse
if(jtir==1)

  // ecart-type hRa
  sigAhR=sqrt(A);
  D1=sprintf('Erreur analyse : sigAhR =%5.3g',sigAhR);
  disp(D1)

end

// Visualisation des resultats
if(visu) // traces si visu=%T  //
    visual_ressaut(xt,xb,xa,yo,B,R)
end 

// Sauvegarde la figure en pdf si ficfigure=%T
ficfigure=%T
if ficfigure 
  nomfichier=sprintf('ressaut%i',jtir)
  xs2pdf(gcf(),nomfichier);
end

// Impression de l'analyse 
Wa=calG_ressaut(xa);
disp(sprintf('Tirage %i : Wo=%5.3g  => hRa=%5.3g, Wa=%5.3g',jtir,yo,xa,Wa))

// Cumul des carres des erreurs pour calcul du score dans vitressaut.sce
cumul=cumul+(xa-xt)^2;

endfunction

