function visual_ressaut(xt,xb,xa,yo,B,R)
///////////////////////////////
//  Visualisations 
//
//  Visualisations  des resultats
//     Etat vrai : bleu,  Ebauche : noir,  
// Analyse non incremenate : rouge trait pointille
// Analyse incrementale : rouge trait plein
// 
// calG_ressaut.init : operateur d'observation non lineaire
// 

// Ouverture d'une figure a fond blanc et grille
figure('BackgroundColor',[1 1 1]);
set(gca(),'grid',[1 1]*color('gray'))
set(gca(),"auto_clear","off")


// Axe des x pour le trace des fonctions couts
Ymin=-.05; Ymax=1.5;
Xmin=15.5; Xmax=19; Nx=101; 
x=linspace(Xmin,Xmax,Nx)

// etat vrai
plot(xt,0,'ob','LineWidth',1)
plot([Xmin Xmax],[0 0],'--k','LineWidth',1 )

// Jb : fonction cout partie ebauche
Jb=.5*(x-xb).^2/B;
Jrxb=.5*(yo-calG_ressaut(xb)).^2/R;
plot(x,Jb,'-k','LineWidth',2)
plot([xb xb],[0 Jrxb],'-ok','LineWidth',1)

// Jr : fonction cout partie mesure non incrementale
Jr=.5*(yo-calG_ressaut(x)).^2/R;
[Jrmin,kr]=min(Jr);
xJrmin=x(kr);
plot(x,Jr,'--m','LineWidth',2)
plot([xJrmin xJrmin],[0 Jrmin],'--om','LineWidth',1)

// J : fonction cout non incrementale
J=Jb+Jr;
[Jmin,k]=min(J);
xJmin=x(k);
plot(x,J,'--r','LineWidth',2)
plot([xJmin xJmin],[0 Jmin],'--or','LineWidth',1)


// Jrinc : fonction cout mesure incrementale
d=yo-calG_ressaut(xb);
G=Glin_ressaut(xb);
Jrinc=.5*(d-G*(x-xb)).^2/R;
[Jrincmin,krinc]=min(Jrinc);
xJrincmin=x(krinc);
plot(x,Jrinc,'-m','LineWidth',2)
plot([xJrincmin xJrincmin],[0 Jrincmin],'om','LineWidth',1)


// Jinc : fonction cout incrementale
Jinc=Jb+Jrinc;
Jincmin=.5*(xa-xb).^2/B+.5*(d-G*(xa-xb)).^2/R;
plot(x,Jinc,'-r','LineWidth',2)
plot([xa xa],[0 Jincmin],'-or','LineWidth',1)

// reglage axes de la figure
a=get("current_axes"); //get the handle of the newly created axes
a.data_bounds=[Xmin Xmax Ymin Ymax];



endfunction
